﻿Imports Infragistics.UltraChart.Resources.Appearance
Imports Infragistics.UltraChart.Shared.Styles

Partial Public Class Form1
    Inherits Form
    Public Sub New()
        InitializeComponent()
        InitializeData()

        UltraChart1.ChartType = ChartType.ScatterChart
        UltraChart1.DataSource = UltraDataSource1
        UltraChart1.ScatterChart.ColumnX = 0
        UltraChart1.ScatterChart.ColumnY = 1
        UltraChart1.ScatterChart.ConnectWithLines = True
        UltraChart1.DataBind()


        'set chart and axis titles
        Dim chartTitle As TitleAppearance = UltraChart1.TitleTop
        chartTitle.Text = "ChartTitle"
        chartTitle.HorizontalAlign = StringAlignment.Center

        Dim yAxisTitle As TitleAppearance = UltraChart1.TitleLeft
        yAxisTitle.Text = "YAxisTitle"
        yAxisTitle.Visible = True
        yAxisTitle.HorizontalAlign = StringAlignment.Center

        Dim xAxisTitle As TitleAppearance = UltraChart1.TitleBottom
        xAxisTitle.Text = "XAxisTitle"
        xAxisTitle.HorizontalAlign = StringAlignment.Center


        'set data points and line to blue
        Dim ChartColors() As Color
        ChartColors = New Color() {Color.Blue}
        UltraChart1.ColorModel.ModelStyle = ColorModels.CustomLinear
        UltraChart1.ColorModel.CustomPalette = ChartColors


        'set point tooltip
        UltraChart1.Tooltips.FormatString = "<DATA_VALUE_X>, <DATA_VALUE_Y>"

    End Sub

    Private Sub InitializeData()
        UltraDataSource1.Band.Columns.Add("ColumnX", GetType(Integer))
        UltraDataSource1.Band.Columns.Add("ColumnY", GetType(Integer))

        Dim row0 = New Object() {1, 2}
        UltraDataSource1.Rows.Add(row0)
        Dim row1 = New Object() {2, 6}
        UltraDataSource1.Rows.Add(row1)
        Dim row2 = New Object() {3, 10}
        UltraDataSource1.Rows.Add(row2)
        Dim row3 = New Object() {4, 12}
        UltraDataSource1.Rows.Add(row3)
        Dim row4 = New Object() {5, 13}
        UltraDataSource1.Rows.Add(row4)
    End Sub
End Class
